Subject: Re: bug#46061: 28.0.50; error "‘'postgres’is not a known product

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 May 2021 14:02:48 +0200

Jean Louis <[email-masked]> writes:

> - M-x sql-postgres and enter
>
> - then at the exact moment when I click SQL menu, I get this error:
>
> Debugger entered--Lisp error: (error "‘'postgres’ is not a known
> product; use ‘sql-add-product’ to add it first.")
>   signal(error ("‘'postgres’ is not a known product; use
> ‘sql-add-product’ to add it first."))
>   error("`%s' is not a known product; use `sql-add-product' to add it
> first." 'postgres)

[...]

> (("local" (sql-product 'postgres) (sql-user "username") (sql-password
> "password") (sql-database "rcdbusiness"))))
>   sql-connection-menu-filter(("--" ["New SQLi Session"
> sql-product-interactive (sql-get-product-feature sql-product
> :sqli-comint-func)]))

I think this has to mean that your sql-product is set to 'postgres
instead of postgres.

That is, somewhere you have

(setq sql-product ''postgres)

with an extra ' character.  Or perhaps in a defcustom setting.  Is this
the case?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no